package com.ruoyi.bst.task.domain.enums;

import java.util.List;

import com.ruoyi.common.utils.collection.CollectionUtils;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TaskStatus {

    WAIT_COMPLETED("1", "待完成"),
    PROCESSING("2", "进行中"),
    WAIT_CONFIRM("3", "待确认"),
    PASS("4", "通过"),
    REJECT("5", "驳回"),
    CANCEL("6", "取消");

    private final String status;
    private final String name;


    /**
     * 获取可以提交的任务状态
     */
    public static List<String> canSubmit() {
        return CollectionUtils.map(TaskStatus::getStatus, PROCESSING, REJECT);
    }

    /**
     * 获取可以开始任务的状态
     */
    public static List<String> canStart() {
        return CollectionUtils.map(TaskStatus::getStatus, WAIT_COMPLETED, CANCEL);
    }

    /**
     * 获取可以审核的任务状态
     */
    public static List<String> canVerify() {
        return CollectionUtils.map(TaskStatus::getStatus, WAIT_CONFIRM);
    }

    /**
     * 获取可以取消的任务状态
     */
    public static List<String> canCancel() {
        return CollectionUtils.map(TaskStatus::getStatus, WAIT_COMPLETED, PROCESSING, REJECT);
    } 
}
