package com.ruoyi.dashboard.index.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.dashboard.customer.service.DashboardCustomerService;
import com.ruoyi.dashboard.index.domain.brief.BriefVO;
import com.ruoyi.dashboard.project.service.DashboardProjectService;
import com.ruoyi.dashboard.task.domain.DashboardTaskService;

@Service
public class DashboardService {

    @Autowired
    private DashboardProjectService dashboardProjectService;

    @Autowired
    private DashboardTaskService dashboardTaskService;

    @Autowired
    private DashboardCustomerService dashboardCustomerService;


    public BriefVO selectBrief() {
        BriefVO result = new BriefVO();

        // 项目概览
        result.setProject(dashboardProjectService.selectProjectBrief());

        // 任务概览
        result.setTask(dashboardTaskService.selectTaskBrief());

        // 客户概览
        result.setCustomer(dashboardCustomerService.selectCustomerBrief());

        return result;
    }



}
